Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

String

## setCharAt()

#### Description

Sets a character of the String. Has no effect on indices outside the existing length of the String.

#### Syntax

string.setCharAt(index, c)

#### Parameters

string: a variable of type String
index: the index to set the character at
c: the character to store to the given location

#### Returns

None

#### Example

#### See also

- charAt()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes